GHSA-g3q9-xf95-8hp5

Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/10/GHSA-g3q9-xf95-8hp5/GHSA-g3q9-xf95-8hp5.json
Aliases
  • CVE-2022-41032
Published
2022-10-11T20:48:52Z
Modified
2022-11-24T00:06:42.813472Z
Details

Description

Microsoft is releasing this security advisory to provide information about a vulnerability in .NET 7.0.0-rc, .NET 6.0, .NET Core 3.1, and NuGet (NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol). This advisory also provides guidance on what developers can do to update their applications to remove this vulnerability.

A vulnerability exists in .NET 7.0.0-rc.1, .NET 6.0, .NET Core 3.1, and NuGet clients (NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol) where a malicious actor could cause a user to execute arbitrary code.

Affected software

NuGet & NuGet Packages

  • Any NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol 6.3.0 version or earlier.
  • Any NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol 6.2.1 version or earlier.
  • Any NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol 6.0.2 version or earlier.
  • Any NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol 5.11.2 version or earlier.
  • Any NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol 5.9.2 version or earlier.
  • Any NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol 5.7.2 version or earlier.
  • Any NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol 4.9.5 version or earlier.

.NET SDK(s)

  • Any .NET 6.0 application running on .NET 6.0.9 or earlier.
  • Any .NET 3.1 application running on .NET Core 3.1.29 or earlier.

Patches

To fix the issue, please install the latest version of .NET 6.0 or .NET Core 3.1 and NuGet (NuGet.exe, NuGet.Commands, NuGet.CommandLine, NuGet.Protocol versions). If you have installed one or more .NET SDKs through Visual Studio, Visual Studio will prompt you to update Visual Studio, which will also update your .NET SDKs.

  • If you're using NuGet.exe 6.3.0 or lower, you should download and install 6.3.1 from https://dist.nuget.org/win-x86-commandline/v6.3.1/nuget.exe .

  • If you're using NuGet.exe 6.2.1 or lower, you should download and install 6.2.2 from https://dist.nuget.org/win-x86-commandline/v6.2.2/nuget.exe .

  • If you're using NuGet.exe 6.0.2 or lower, you should download and install 6.0.3 from https://dist.nuget.org/win-x86-commandline/v6.0.3/nuget.exe .

  • If you're using NuGet.exe 5.11.2 or lower, you should download and install 5.11.3 from https://dist.nuget.org/win-x86-commandline/v5.11.3/nuget.exe .

  • If you're using NuGet.exe 5.9.2 or lower, you should download and install 5.9.3 from https://dist.nuget.org/win-x86-commandline/v5.9.3/nuget.exe .

  • If you're using NuGet.exe 5.7.2 or lower, you should download and install 5.7.3 from https://dist.nuget.org/win-x86-commandline/v5.7.3/nuget.exe .

  • If you're using NuGet.exe 4.9.5 or lower, you should download and install 4.9.6 from https://dist.nuget.org/win-x86-commandline/v4.9.6/nuget.exe .

  • If you're using .NET Core 6.0, you should download and install Runtime 6.0.10 or SDK 6.0.110 (for Visual Studio 2022 v17.0) or SDK 6.0.402 (for Visual Studio 2022 v17.3) from https://dotnet.microsoft.com/download/dotnet-core/6.0.

  • If you're using .NET Core 3.1, you should download and install Runtime 3.1.30 or SDK 3.1.424 (for Visual Studio 2019 v16.9 or Visual Studio 2019 v16.11 or Visual Studio 2022 v17.0 or Visual Studio 2022 v17.1) from https://dotnet.microsoft.com/download/dotnet-core/3.1.

.NET 6.0 and .NET Core 3.1 updates are also available from Microsoft Update. To access this either type "Check for updates" in your Windows search, or open Settings, choose Update & Security and then click Check for Updates.

Other details

Announcement for this issue can be found at https://github.com/NuGet/Announcements/issues/65

MSRC details for this can be found at https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-41032

References

Affected packages

NuGet / NuGet.Commands

NuGet.Commands

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.6.0
Fixed
4.9.6

Affected versions

4.*

4.6.0
4.6.1
4.6.2
4.6.3
4.6.4
4.7.0-preview1-4986

NuGet / NuGet.Commands

NuGet.Commands

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.0.0
Fixed
5.7.3

Affected versions

5.*

5.7.1
5.7.2

NuGet / NuGet.Commands

NuGet.Commands

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.8.0
Fixed
5.9.3

Affected versions

5.*

5.9.0
5.9.1
5.9.2

NuGet / NuGet.Commands

NuGet.Commands

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.10.0
Fixed
5.11.3

Affected versions

5.*

5.10.0
5.11.0
5.11.2

NuGet / NuGet.Commands

NuGet.Commands

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.0.0
Fixed
6.0.3

Affected versions

6.*

6.0.0
6.0.2

NuGet / NuGet.Commands

NuGet.Commands

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.1.0
Fixed
6.2.2

Affected versions

6.*

6.1.0
6.2.0
6.2.1

NuGet / NuGet.Commands

NuGet.Commands

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.3.0
Fixed
6.3.1

Affected versions

6.*

6.3.0

NuGet / NuGet.CommandLine

NuGet.CommandLine

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.6.0
Fixed
4.9.6

Affected versions

4.*

4.6.2
4.6.3
4.6.4
4.7.1
4.7.2
4.7.3
4.8.2
4.9.2
4.9.3
4.9.4
4.9.5

NuGet / NuGet.CommandLine

NuGet.CommandLine

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.0.0
Fixed
5.7.3

Affected versions

5.*

5.0.2
5.1.0
5.2.0
5.2.1
5.3.0
5.3.1
5.4.0
5.5.1
5.6.0
5.7.0
5.7.1
5.7.2

NuGet / NuGet.CommandLine

NuGet.CommandLine

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.8.0
Fixed
5.9.3

Affected versions

5.*

5.8.0
5.8.1
5.9.1
5.9.2

NuGet / NuGet.CommandLine

NuGet.CommandLine

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.10.0
Fixed
5.11.3

Affected versions

5.*

5.10.0
5.11.0
5.11.2

NuGet / NuGet.CommandLine

NuGet.CommandLine

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.0.0
Fixed
6.0.3

Affected versions

6.*

6.0.0
6.0.2

NuGet / NuGet.CommandLine

NuGet.CommandLine

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.1.0
Fixed
6.2.2

Affected versions

6.*

6.1.0
6.2.0
6.2.1

NuGet / NuGet.CommandLine

NuGet.CommandLine

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.3.0
Fixed
6.3.1

Affected versions

6.*

6.3.0

NuGet / NuGet.Protocol

NuGet.Protocol

Affected ranges

Type
ECOSYSTEM
Events
Introduced
4.6.0
Fixed
4.9.6

Affected versions

4.*

4.6.0
4.6.1
4.6.2
4.6.3
4.6.4
4.7.0-preview1-4986

NuGet / NuGet.Protocol

NuGet.Protocol

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.0.0
Fixed
5.7.3

Affected versions

5.*

5.7.1
5.7.2

NuGet / NuGet.Protocol

NuGet.Protocol

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.8.0
Fixed
5.9.3

Affected versions

5.*

5.9.0
5.9.1
5.9.2

NuGet / NuGet.Protocol

NuGet.Protocol

Affected ranges

Type
ECOSYSTEM
Events
Introduced
5.10.0
Fixed
5.11.3

Affected versions

5.*

5.10.0
5.11.0
5.11.2

NuGet / NuGet.Protocol

NuGet.Protocol

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.0.0
Fixed
6.0.3

Affected versions

6.*

6.0.0
6.0.2

NuGet / NuGet.Protocol

NuGet.Protocol

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.1.0
Fixed
6.2.2

Affected versions

6.*

6.1.0
6.2.0
6.2.1

NuGet / NuGet.Protocol

NuGet.Protocol

Affected ranges

Type
ECOSYSTEM
Events
Introduced
6.3.0
Fixed
6.3.1

Affected versions

6.*

6.3.0